import React, {useEffect,useState} from 'react'
import axios from 'axios';

import List from '../components/list';
import Map from '../components/map';
import '../style.css';
export default function Home(){

    //store entites
    const [entities,setEntities]=useState([]);

    //get entities
    const fetchEntities = () => {
	axios.get('http://83.223.94.182:65535/entities/info')
            .then((response) => {
		setEntities(response.data);
            })
            .catch((error) => {
		console.error('Home:fetchEntities() error: ' + error);
            });
    };

    //on page load
    useEffect(()=>{
	fetchEntities();
    },[]);

    //return
    return (
	<>
	    <h1>Home</h1>
	    <List entities={entities} />
	    <Map entities={entities} />
	</>
    );
}
